import { defineComponent, ref, computed, PropType, toRef } from 'vue'
import { useUserStore } from '@store/UserStore'
import { useRouter } from 'vue-router'
import { useGlobalStore } from '@store/globalStore'
import { useI18n } from 'vue-i18n'
import { tools } from '@tools'
import { costanti } from '@store/Modules/costanti'
import { static_data } from '@src/db/static_data'

export default defineComponent({
  name: 'CVisuVideoPromoAndPDF',
  components: {},
  props: {
    showalways: {
      type: Boolean,
      required: false,
      default: false,
    },
  },
  setup(props, { emit }) {

    const userStore = useUserStore()
    const $router = useRouter()
    const globalStore = useGlobalStore()
    const { t } = useI18n()

    const site = ref(globalStore.site)

    return {
      userStore,
      tools,
      costanti,
      static_data,
      site,
      t,
    }
  }
})
